%define debug_package %{nil}

Summary:	Examine the contents of INFO2 in the Windows Recycle bin

Packager:	Lawrence R. Rogers

Vendor:		cert.org
Name:		rifiuti2
Version:	0.6.1
Release:	1%{?dist}
URL:		https://abelcheung.github.io/rifiuti2/

License:	GPL

Group:		Applications/Forensics Tools

Source:		%{name}-%{version}.tar.gz
Patch1:		%{name}-%{version}-patch-001

BuildRoot:	%{_tmppath}/rpm-root-%{name}-v%{version} 
BuildRequires:	gcc-c++, libstdc++-devel glib2-devel
BuildRequires:	autoconf automake pkgconfig gettext-devel libtool

%description
Rifiuti, the Italian word meaning "trash", was developed to examine
the contents of the INFO2 file in the Recycle Bin. Rifiuti will parse
the information in an INFO2 file and output the results in a field
delimited manner so that it may be imported into your favorite spreadsheet
program. Rifiuti is built to work on multiple platforms and will execute
on Windows (through Cygwin), Mac OS X, Linux, and *BSD platforms.

%prep
%setup -n %{name}-%{version}
%patch1 -p1

%build
sh autogen.sh
%configure --prefix=/usr --mandir=/usr/share/man --bindir=/usr/bin
%{__make}

%install
%makeinstall
/bin/mv %{buildroot}%{_bindir}/rifiuti %{buildroot}%{_bindir}/rifiuti2
cd %{buildroot}/%{_mandir}/man1/; /bin/mv rifiuti.1 rifiuti2.1; /bin/rm rifiuti-vista.1; /bin/ln -s rifiuti2.1 rifiuti-vista.1

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc 
%attr(555,root,root)	%{_bindir}/rifiuti2
%attr(555,root,root)	%{_bindir}/rifiuti-vista
%attr(444,root,root)	%{_mandir}/man1/rifiuti2.1.gz
%attr(444,root,root)	%{_mandir}/man1/rifiuti-vista.1.gz
%attr(444,root,root)	%{_datadir}/locale/zh_HK/LC_MESSAGES/rifiuti.mo

%changelog
* Thu May 21 2015 Lawrence R. Rogers <lrr@cert.org) 0.6.1-1
* Release 0.6.1-1
	Version 0.6.1

